none
Trying to upgrade to 4.7 says a higher version is already installed RRS feed

  • Question

  • I have downloaded the upgrade for .Net Framework 4.7

    When I run the installer, I'm getting a message stating that a higher version is already installed.  Looking in Control Panel, I am on 4.5.2.  

    Why am I getting this message?


    Thanks for your help!!

    Wednesday, February 6, 2019 5:02 PM

All replies

  • Hi plynton,

    Welcome to the MSDN forum.

    Please have a look with this Docs to check the .net version in your PC: https://docs.microsoft.com/en-us/dotnet/framework/migration-guide/how-to-determine-which-versions-are-installed . if the registry value shows code is 461308 or higher. It shows there is a higher version has been auto updated in your side.

    If any update of your issue, please feel free to let me know.

    Sincerely,

    May 


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Thursday, February 7, 2019 4:49 AM
    Moderator
  • Hi plynton,

    As May said, please follow the shared document to check the registry key, if a higher version is already installed then you do not need to install the lower version or same version again. We can also use the .NET Framework setup verification tool to verify it.

    If you still have issues about this, please feel free to let us know.

    Best regards,

    Sara


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Friday, February 8, 2019 8:22 AM
    Moderator